--- title: "Get topic" slug: "datastream-gettopicid" updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/datastream-gettopicid" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get topic Available in VPC Get topic details. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/topics/{topicId} | ### Request headers For information about the headers common to all Data Stream APIs, see [Data Stream request headers](/docs/en/datastream-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `topicId` | String | Required | Topic ID - See [Get topic list](/docs/en/datastream-gettopic#list). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datastream.apigw.ntruss.com/api/v1/topics/mgNWA*****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `topicId` | String | - | Topic ID | | `topicName` | String | - | Topic name | | `description` | String | - | Topic description | | `partitions` | Number | - | Number of topic partitions | | `retentionMs` | Number | - | Topic partition message retention period (millisecond) | | `status` | String | - | Topic status - `CREATING` \| `CREATED` \| `PENDING_DELETION` \| `DELETE_ERROR` \| `DELETED` \| `UNKNOWN` - `CREATING`: Creating topic - `CREATED`: Topic creation complete (enabled) - `PENDING_DELETION`: Pending deletion - `DELETE_ERROR`: Deletion error - `DELETED`: Deletion complete - `UNKNOWN`: Unknown | | `tcpEndpoint` | String | - | TCP endpoint | | `createdDate` | String | - | Topic creation date and time - ISO 8601 format - `YYYY-MM-DDThh:mm:ssZ` | | `updatedDate` | String | - | Topic modification date and time - ISO 8601 format - `YYYY-MM-DDThh:mm:ssZ` | ### Response status codes For information about the HTTP status codes common to all Data Stream APIs, see [Data Stream response status codes](/docs/en/datastream-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "topicId": "mgNWA*****", "topicName": "h4j6l-ds001", "description": "Data Stream Topic", "partitions": 3, "retentionMs": 86400000, "status": "CREATED", "tcpEndpoint": "cluster-1.datastream.naverncp.com:30010", "createdDate": "2025-05-22T10:25:19Z", "updatedDate": "2025-05-22T14:14:41Z" } ```